org.jacoco.agent.rt.internal

## Class Offline

- java.lang.Object
- - org.jacoco.agent.rt.internal.Offline

    public final class Offline
    extends Object

The API for classes instrumented in "offline" mode. The agent configuration is provided through system properties prefixed with `jacoco.`.

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean[]` `getProbes(long classid, String classname, int probecount)` API for offline instrumented classes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getProbes

    public static boolean[] getProbes(long classid,
                                      String classname,
                                      int probecount)

API for offline instrumented classes.

Parameters:
  `classid` - class identifier
  `classname` - VM class name
  `probecount` - probe count for this class
Returns:
  probe array instance for this class